<?php
namespace Teknisa\CRM\Service;

use Doctrine\ORM\EntityManager;
use Teknisa\CRM\Factory\ProfileFactory;
use Teknisa\Libs\Util\NewCode;
use Teknisa\Libs\Util\Environment;

class ProfileService {
    protected $profileFactory;
    
    public function __construct(ProfileFactory $profileFactory) {
        $this->profileFactory = $profileFactory;
    }
    
    public function getPasswordOperator($cdoperador){
        return $this->profileFactory->getPasswordOperator($cdoperador);
    }
    
    public function setNewPassword($paramsUpdate){
        return $this->profileFactory->setNewPassword($paramsUpdate);
    }
}